Loading...
Searching...
No Matches
OpenBabel::OBElements Namespace Reference

## Functions

const char * | GetSymbol (unsigned int atomic_number)
const char * | GetName (unsigned int atomic_number)
double | GetMass (unsigned int atomic_number)
double | GetExactMass (unsigned int atomic_number, unsigned int isotope=0)
unsigned int | GetAtomicNum (const char *ptr)
double | GetAllredRochowElectroNeg (unsigned int atomic_number)
double | GetCovalentRad (unsigned int atomic_number)
double | GetVdwRad (unsigned int atomic_number)
double | GetElectronAffinity (unsigned int atomic_number)
double | GetIonization (unsigned int atomic_number)
unsigned int | GetMaxBonds (unsigned int atomic_number)
double | GetElectroNeg (unsigned int atomic_number)
void | GetRGB (unsigned int atomic_number, double *r, double *g, double *b)

## Variables

const unsigned int | Dummy = 0
const unsigned int | Hydrogen = 1
const unsigned int | H = 1
const unsigned int | Helium = 2
const unsigned int | He = 2
const unsigned int | Lithium = 3
const unsigned int | Li = 3
const unsigned int | Beryllium = 4
const unsigned int | Be = 4
const unsigned int | Boron = 5
const unsigned int | B = 5
const unsigned int | Carbon = 6
const unsigned int | C = 6
const unsigned int | Nitrogen = 7
const unsigned int | N = 7
const unsigned int | Oxygen = 8
const unsigned int | O = 8
const unsigned int | Fluorine = 9
const unsigned int | F = 9
const unsigned int | Neon = 10
const unsigned int | Ne = 10
const unsigned int | Sodium = 11
const unsigned int | Na = 11
const unsigned int | Magnesium = 12
const unsigned int | Mg = 12
const unsigned int | Aluminium = 13
const unsigned int | Al = 13
const unsigned int | Silicon = 14
const unsigned int | Si = 14
const unsigned int | Phosphorus = 15
const unsigned int | P = 15
const unsigned int | Sulfur = 16
const unsigned int | S = 16
const unsigned int | Chlorine = 17
const unsigned int | Cl = 17
const unsigned int | Argon = 18
const unsigned int | Ar = 18
const unsigned int | Potassium = 19
const unsigned int | K = 19
const unsigned int | Calcium = 20
const unsigned int | Ca = 20
const unsigned int | Scandium = 21
const unsigned int | Sc = 21
const unsigned int | Titanium = 22
const unsigned int | Ti = 22
const unsigned int | Vanadium = 23
const unsigned int | V = 23
const unsigned int | Chromium = 24
const unsigned int | Cr = 24
const unsigned int | Manganese = 25
const unsigned int | Mn = 25
const unsigned int | Iron = 26
const unsigned int | Fe = 26
const unsigned int | Cobalt = 27
const unsigned int | Co = 27
const unsigned int | Nickel = 28
const unsigned int | Ni = 28
const unsigned int | Copper = 29
const unsigned int | Cu = 29
const unsigned int | Zinc = 30
const unsigned int | Zn = 30
const unsigned int | Gallium = 31
const unsigned int | Ga = 31
const unsigned int | Germanium = 32
const unsigned int | Ge = 32
const unsigned int | Arsenic = 33
const unsigned int | As = 33
const unsigned int | Selenium = 34
const unsigned int | Se = 34
const unsigned int | Bromine = 35
const unsigned int | Br = 35
const unsigned int | Krypton = 36
const unsigned int | Kr = 36
const unsigned int | Rubidium = 37
const unsigned int | Rb = 37
const unsigned int | Strontium = 38
const unsigned int | Sr = 38
const unsigned int | Yttrium = 39
const unsigned int | Y = 39
const unsigned int | Zirconium = 40
const unsigned int | Zr = 40
const unsigned int | Niobium = 41
const unsigned int | Nb = 41
const unsigned int | Molybdenum = 42
const unsigned int | Mo = 42
const unsigned int | Technetium = 43
const unsigned int | Tc = 43
const unsigned int | Ruthenium = 44
const unsigned int | Ru = 44
const unsigned int | Rhodium = 45
const unsigned int | Rh = 45
const unsigned int | Palladium = 46
const unsigned int | Pd = 46
const unsigned int | Silver = 47
const unsigned int | Ag = 47
const unsigned int | Cadmium = 48
const unsigned int | Cd = 48
const unsigned int | Indium = 49
const unsigned int | In = 49
const unsigned int | Tin = 50
const unsigned int | Sn = 50
const unsigned int | Antimony = 51
const unsigned int | Sb = 51
const unsigned int | Tellurium = 52
const unsigned int | Te = 52
const unsigned int | Iodine = 53
const unsigned int | I = 53
const unsigned int | Xenon = 54
const unsigned int | Xe = 54
const unsigned int | Caesium = 55
const unsigned int | Cs = 55
const unsigned int | Barium = 56
const unsigned int | Ba = 56
const unsigned int | Lanthanum = 57
const unsigned int | La = 57
const unsigned int | Cerium = 58
const unsigned int | Ce = 58
const unsigned int | Praseodymium = 59
const unsigned int | Pr = 59
const unsigned int | Neodymium = 60
const unsigned int | Nd = 60
const unsigned int | Promethium = 61
const unsigned int | Pm = 61
const unsigned int | Samarium = 62
const unsigned int | Sm = 62
const unsigned int | Europium = 63
const unsigned int | Eu = 63
const unsigned int | Gadolinium = 64
const unsigned int | Gd = 64
const unsigned int | Terbium = 65
const unsigned int | Tb = 65
const unsigned int | Dysprosium = 66
const unsigned int | Dy = 66
const unsigned int | Holmium = 67
const unsigned int | Ho = 67
const unsigned int | Erbium = 68
const unsigned int | Er = 68
const unsigned int | Thulium = 69
const unsigned int | Tm = 69
const unsigned int | Ytterbium = 70
const unsigned int | Yb = 70
const unsigned int | Lutetium = 71
const unsigned int | Lu = 71
const unsigned int | Hafnium = 72
const unsigned int | Hf = 72
const unsigned int | Tantalum = 73
const unsigned int | Ta = 73
const unsigned int | Tungsten = 74
const unsigned int | W = 74
const unsigned int | Rhenium = 75
const unsigned int | Re = 75
const unsigned int | Osmium = 76
const unsigned int | Os = 76
const unsigned int | Iridium = 77
const unsigned int | Ir = 77
const unsigned int | Platinum = 78
const unsigned int | Pt = 78
const unsigned int | Gold = 79
const unsigned int | Au = 79
const unsigned int | Mercury = 80
const unsigned int | Hg = 80
const unsigned int | Thallium = 81
const unsigned int | Tl = 81
const unsigned int | Lead = 82
const unsigned int | Pb = 82
const unsigned int | Bismuth = 83
const unsigned int | Bi = 83
const unsigned int | Polonium = 84
const unsigned int | Po = 84
const unsigned int | Astatine = 85
const unsigned int | At = 85
const unsigned int | Radon = 86
const unsigned int | Rn = 86
const unsigned int | Francium = 87
const unsigned int | Fr = 87
const unsigned int | Radium = 88
const unsigned int | Ra = 88
const unsigned int | Actinium = 89
const unsigned int | Ac = 89
const unsigned int | Thorium = 90
const unsigned int | Th = 90
const unsigned int | Protactinium = 91
const unsigned int | Pa = 91
const unsigned int | Uranium = 92
const unsigned int | U = 92
const unsigned int | Neptunium = 93
const unsigned int | Np = 93
const unsigned int | Plutonium = 94
const unsigned int | Pu = 94
const unsigned int | Americium = 95
const unsigned int | Am = 95
const unsigned int | Curium = 96
const unsigned int | Cm = 96
const unsigned int | Berkelium = 97
const unsigned int | Bk = 97
const unsigned int | Californium = 98
const unsigned int | Cf = 98
const unsigned int | Einsteinium = 99
const unsigned int | Es = 99
const unsigned int | Fermium = 100
const unsigned int | Fm = 100
const unsigned int | Mendelevium = 101
const unsigned int | Md = 101
const unsigned int | Nobelium = 102
const unsigned int | No = 102
const unsigned int | Lawrencium = 103
const unsigned int | Lr = 103
const unsigned int | Rutherfordium = 104
const unsigned int | Rf = 104
const unsigned int | Dubnium = 105
const unsigned int | Db = 105
const unsigned int | Seaborgium = 106
const unsigned int | Sg = 106
const unsigned int | Bohrium = 107
const unsigned int | Bh = 107
const unsigned int | Hassium = 108
const unsigned int | Hs = 108
const unsigned int | Meitnerium = 109
const unsigned int | Mt = 109
const unsigned int | Darmstadtium = 110
const unsigned int | Ds = 110
const unsigned int | Roentgenium = 111
const unsigned int | Rg = 111
const unsigned int | Copernicium = 112
const unsigned int | Cn = 112
const unsigned int | Nihonium = 113
const unsigned int | Nh = 113
const unsigned int | Flerovium = 114
const unsigned int | Fl = 114
const unsigned int | Moscovium = 115
const unsigned int | Mc = 115
const unsigned int | Livermorium = 116
const unsigned int | Lv = 116
const unsigned int | Tennessine = 117
const unsigned int | Ts = 117
const unsigned int | Oganesson = 118
const unsigned int | Og = 118

## Detailed Description

Functions and constants for handling the elements of the periodic table and associated data.

Translating element data is a common task given that many file formats give either element symbol or atomic number information, but not both. The OBElements namespace contains functions to handle this conversion, as well as providing information associated with particular elements. The following code sample demonstrates the use of members of this namespace:

cout << "The symbol for element 6 is " << OBElements::GetSymbol(6) << endl;
cout << "The atomic number for Sulfur is " << OBElements::GetAtomicNum(16) << endl;
cout << "The van der Waal radius for Nitrogen is " << OBElements::GetVdwRad(7);
if (atom->GetAtomicNum() == OBElements::Carbon) {
// then do something
}
OpenBabel::OBElements::GetSymbol
const char * GetSymbol(unsigned int atomic_number)
Definition elements.cpp:89
OpenBabel::OBElements::Carbon
const unsigned int Carbon
Definition elements.h:94
OpenBabel::OBElements::GetVdwRad
double GetVdwRad(unsigned int atomic_number)
Definition elements.cpp:124
OpenBabel::OBElements::GetAtomicNum
unsigned int GetAtomicNum(const char *ptr)
Definition elements.cpp:174

Stored information in the OBElementTable includes elemental:

- symbols
- covalent radii
- van der Waal radii
- expected maximum bonding valence
- molar mass (by IUPAC recommended atomic masses)
- isotopic mass
- electronegativity (Pauling and Allred-Rochow)
- ionization potential
- electron affinity
- RGB colors for visualization programs
- names (by IUPAC recommendation)

## Function Documentation

## GetSymbol()

const char * GetSymbol | ( | unsigned int | atomic_number | ) |

Returns
  the element symbol matching the atomic number passed

Referenced by OBDepict::DrawMolecule(), and OBMol::GetSpacedFormula().

## GetName()

const char * GetName | ( | unsigned int | atomic_number | ) |

Returns
  the name of this element

## GetMass()

double GetMass | ( | unsigned int | atomic_number | ) |

Returns
  the average atomic mass for this element. For exact isotope masses, use GetExactMass()

Referenced by OBAtom::GetAtomicMass(), and OBMol::GetMolWt().

## GetExactMass()

double GetExactMass | ( | unsigned int | atomic_number,
|  | unsigned int | isotope = 0 )

Returns
  the exact mass of the specified isotope or by default (i.e. "isotope 0") the mass of the most abundant isotope

Referenced by OBAtom::GetAtomicMass(), OBAtom::GetExactMass(), and OBMol::GetExactMass().

## GetAtomicNum()

unsigned int GetAtomicNum | ( | const char * | ptr | ) |

Referenced by AliasData::Expand().

## GetAllredRochowElectroNeg()

double GetAllredRochowElectroNeg | ( | unsigned int | atomic_number | ) |

Returns
  the Allred-Rochow electronegativity for this element

## GetCovalentRad()

double GetCovalentRad | ( | unsigned int | atomic_number | ) |

Returns
  the covalent radius (in Angstrom) for this atomic number

Referenced by OBMol::ConnectTheDots(), OpenBabel::CorrectedBondRad(), and OpenBabel::GetCorrectedBondVector().

## GetVdwRad()

double GetVdwRad | ( | unsigned int | atomic_number | ) |

Returns
  the van der Waals radius (in Angstrom) for this atomic number

Referenced by OBStericConformerFilter::IsGood().

## GetElectronAffinity()

double GetElectronAffinity | ( | unsigned int | atomic_number | ) |

Returns
  the electron affinity (in eV) for this element

## GetIonization()

double GetIonization | ( | unsigned int | atomic_number | ) |

Returns
  the ionization potential (in eV) for this element

## GetMaxBonds()

unsigned int GetMaxBonds | ( | unsigned int | atomic_number | ) |

Returns
  the maximum expected number of bonds to this element

Referenced by OBMol::ConnectTheDots(), and OBMol::PerceiveBondOrders().

## GetElectroNeg()

double GetElectroNeg | ( | unsigned int | atomic_number | ) |

Returns
  the Pauling electronegativity for this element

Referenced by OBMol::PerceiveBondOrders().

## GetRGB()

void GetRGB | ( | unsigned int | atomic_number,
|  | double * | r,
|  | double * | g,
|  | double * | b )

Sets the red, green, and blue color values for this element.

Referenced by OBDepict::DrawMolecule().

## Variable Documentation

## Dummy

const unsigned int Dummy = 0

The atomic numbers of the elements.

## Hydrogen

const unsigned int Hydrogen = 1

Referenced by OBResidueData::AssignBonds(), OBGastChrg::AssignPartialCharges(), OBMol::ConnectTheDots(), OBMol::DeleteAtom(), OBMol::DeleteHydrogen(), OBMol::DeleteHydrogens(), OBMol::DeleteHydrogens(), OBDepict::DrawMolecule(), OBAtom::ExplicitHydrogenCount(), OBMol::FindAngles(), OBMol::FindTorsions(), OpenBabel::GetDFFVector(), OBForceField::GetGrid(), OBMol::GetGTDVector(), OpenBabel::GetHeavyAtomCoords(), OBAtom::GetHvyDegree(), OBRotorRules::GetRotorIncrements(), OpenBabel::HasExocyclicDblBondToHet(), OBAtom::HtoMethyl(), OBStericConformerFilter::IsGood(), OBAtom::IsHbondAcceptor(), OBAtom::IsHbondDonor(), OBAtom::IsHbondDonorH(), OBAtom::IsNonPolarHydrogen(), OpenBabel::IsNotCorH(), OBAtom::IsPolarHydrogen(), OBTorsion::IsProtonRotor(), OBMol::NumHvyAtoms(), OBAtom::SetHybAndGeom(), OBAlign::SetRefMol(), and OBAlign::SetTargetMol().

## H

const unsigned int H = 1

## Helium

const unsigned int Helium = 2

## He

const unsigned int He = 2

## Lithium

const unsigned int Lithium = 3

## Li

const unsigned int Li = 3

## Beryllium

const unsigned int Beryllium = 4

## Be

const unsigned int Be = 4

## Boron

const unsigned int Boron = 5

Referenced by OpenBabel::AssignOBAromaticityModel().

## B

const unsigned int B = 5

## Carbon

const unsigned int Carbon = 6

Referenced by OpenBabel::AssignOBAromaticityModel(), OBDepict::DrawMolecule(), OBRing::GetRootAtom(), OpenBabel::HasExocyclicDblBondToHet(), OBAtom::IsCarboxylOxygen(), and OpenBabel::IsNotCorH().

## C

const unsigned int C = 6

## Nitrogen

const unsigned int Nitrogen = 7

Referenced by OpenBabel::AssignOBAromaticityModel(), OpenBabel::AtomIsNSOP(), OBRing::GetRootAtom(), OBAtom::IsAmideNitrogen(), OBAtom::IsAromaticNOxide(), OBAtom::IsNitroOxygen(), OpenBabel::IsSulfoneOxygen(), OBMol::MakeDativeBonds(), and OBMol::PerceiveBondOrders().

## N

const unsigned int N = 7

## Oxygen

const unsigned int Oxygen = 8

Referenced by OBResidueData::AssignBonds(), OBBondTyper::AssignFunctionalGroupBonds(), OpenBabel::AssignOBAromaticityModel(), OpenBabel::AtomIsNSOP(), OBAtom::CountFreeOxygens(), OpenBabel::FindExocyclicAtom(), OBBuilder::GetNewBondVector(), OBRing::GetRootAtom(), OpenBabel::HasExocyclicBondToOxygenMinus(), OpenBabel::HasExocyclicDblBondToOxygen(), OBAtom::IsAromaticNOxide(), OBAtom::IsCarboxylOxygen(), OBAtom::IsNitroOxygen(), OBAtom::IsPhosphateOxygen(), OBAtom::IsSulfateOxygen(), and OpenBabel::IsSulfoneOxygen().

## O

const unsigned int O = 8

## Fluorine

const unsigned int Fluorine = 9

## F

const unsigned int F = 9

## Neon

const unsigned int Neon = 10

## Ne

const unsigned int Ne = 10

## Sodium

const unsigned int Sodium = 11

## Na

const unsigned int Na = 11

## Magnesium

const unsigned int Magnesium = 12

## Mg

const unsigned int Mg = 12

## Aluminium

const unsigned int Aluminium = 13

## Al

const unsigned int Al = 13

## Silicon

const unsigned int Silicon = 14

## Si

const unsigned int Si = 14

## Phosphorus

const unsigned int Phosphorus = 15

Referenced by OpenBabel::AssignOBAromaticityModel(), OpenBabel::AtomIsNSOP(), OBAtom::HasAlphaBetaUnsat(), and OBAtom::IsPhosphateOxygen().

## P

const unsigned int P = 15

## Sulfur

const unsigned int Sulfur = 16

Referenced by OpenBabel::AssignOBAromaticityModel(), OpenBabel::AtomIsNSOP(), OBAtom::CountFreeSulfurs(), OBRing::GetRootAtom(), OBAtom::HasAlphaBetaUnsat(), OBAtom::IsSulfateOxygen(), and OpenBabel::IsSulfoneOxygen().

## S

const unsigned int S = 16

## Chlorine

const unsigned int Chlorine = 17

## Cl

const unsigned int Cl = 17

## Argon

const unsigned int Argon = 18

## Ar

const unsigned int Ar = 18

## Potassium

const unsigned int Potassium = 19

## K

const unsigned int K = 19

## Calcium

const unsigned int Calcium = 20

## Ca

const unsigned int Ca = 20

## Scandium

const unsigned int Scandium = 21

## Sc

const unsigned int Sc = 21

## Titanium

const unsigned int Titanium = 22

## Ti

const unsigned int Ti = 22

## Vanadium

const unsigned int Vanadium = 23

## V

const unsigned int V = 23

## Chromium

const unsigned int Chromium = 24

## Cr

const unsigned int Cr = 24

## Manganese

const unsigned int Manganese = 25

## Mn

const unsigned int Mn = 25

## Iron

const unsigned int Iron = 26

## Fe

const unsigned int Fe = 26

## Cobalt

const unsigned int Cobalt = 27

## Co

const unsigned int Co = 27

## Nickel

const unsigned int Nickel = 28

## Ni

const unsigned int Ni = 28

## Copper

const unsigned int Copper = 29

## Cu

const unsigned int Cu = 29

## Zinc

const unsigned int Zinc = 30

## Zn

const unsigned int Zn = 30

## Gallium

const unsigned int Gallium = 31

## Ga

const unsigned int Ga = 31

## Germanium

const unsigned int Germanium = 32

## Ge

const unsigned int Ge = 32

## Arsenic

const unsigned int Arsenic = 33

Referenced by OpenBabel::AssignOBAromaticityModel().

## As

const unsigned int As = 33

## Selenium

const unsigned int Selenium = 34

Referenced by OpenBabel::AssignOBAromaticityModel().

## Se

const unsigned int Se = 34

## Bromine

const unsigned int Bromine = 35

## Br

const unsigned int Br = 35

## Krypton

const unsigned int Krypton = 36

## Kr

const unsigned int Kr = 36

## Rubidium

const unsigned int Rubidium = 37

## Rb

const unsigned int Rb = 37

## Strontium

const unsigned int Strontium = 38

## Sr

const unsigned int Sr = 38

## Yttrium

const unsigned int Yttrium = 39

## Y

const unsigned int Y = 39

## Zirconium

const unsigned int Zirconium = 40

## Zr

const unsigned int Zr = 40

## Niobium

const unsigned int Niobium = 41

## Nb

const unsigned int Nb = 41

## Molybdenum

const unsigned int Molybdenum = 42

## Mo

const unsigned int Mo = 42

## Technetium

const unsigned int Technetium = 43

## Tc

const unsigned int Tc = 43

## Ruthenium

const unsigned int Ruthenium = 44

## Ru

const unsigned int Ru = 44

## Rhodium

const unsigned int Rhodium = 45

## Rh

const unsigned int Rh = 45

## Palladium

const unsigned int Palladium = 46

## Pd

const unsigned int Pd = 46

## Silver

const unsigned int Silver = 47

## Ag

const unsigned int Ag = 47

## Cadmium

const unsigned int Cadmium = 48

## Cd

const unsigned int Cd = 48

## Indium

const unsigned int Indium = 49

## In

const unsigned int In = 49

## Tin

const unsigned int Tin = 50

## Sn

const unsigned int Sn = 50

## Antimony

const unsigned int Antimony = 51

## Sb

const unsigned int Sb = 51

## Tellurium

const unsigned int Tellurium = 52

## Te

const unsigned int Te = 52

## Iodine

const unsigned int Iodine = 53

## I

const unsigned int I = 53

## Xenon

const unsigned int Xenon = 54

## Xe

const unsigned int Xe = 54

## Caesium

const unsigned int Caesium = 55

## Cs

const unsigned int Cs = 55

## Barium

const unsigned int Barium = 56

## Ba

const unsigned int Ba = 56

## Lanthanum

const unsigned int Lanthanum = 57

## La

const unsigned int La = 57

## Cerium

const unsigned int Cerium = 58

## Ce

const unsigned int Ce = 58

## Praseodymium

const unsigned int Praseodymium = 59

## Pr

const unsigned int Pr = 59

## Neodymium

const unsigned int Neodymium = 60

## Nd

const unsigned int Nd = 60

## Promethium

const unsigned int Promethium = 61

## Pm

const unsigned int Pm = 61

## Samarium

const unsigned int Samarium = 62

## Sm

const unsigned int Sm = 62

## Europium

const unsigned int Europium = 63

## Eu

const unsigned int Eu = 63

## Gadolinium

const unsigned int Gadolinium = 64

## Gd

const unsigned int Gd = 64

## Terbium

const unsigned int Terbium = 65

## Tb

const unsigned int Tb = 65

## Dysprosium

const unsigned int Dysprosium = 66

## Dy

const unsigned int Dy = 66

## Holmium

const unsigned int Holmium = 67

## Ho

const unsigned int Ho = 67

## Erbium

const unsigned int Erbium = 68

## Er

const unsigned int Er = 68

## Thulium

const unsigned int Thulium = 69

## Tm

const unsigned int Tm = 69

## Ytterbium

const unsigned int Ytterbium = 70

## Yb

const unsigned int Yb = 70

## Lutetium

const unsigned int Lutetium = 71

## Lu

const unsigned int Lu = 71

## Hafnium

const unsigned int Hafnium = 72

## Hf

const unsigned int Hf = 72

## Tantalum

const unsigned int Tantalum = 73

## Ta

const unsigned int Ta = 73

## Tungsten

const unsigned int Tungsten = 74

## W

const unsigned int W = 74

## Rhenium

const unsigned int Rhenium = 75

## Re

const unsigned int Re = 75

## Osmium

const unsigned int Osmium = 76

## Os

const unsigned int Os = 76

## Iridium

const unsigned int Iridium = 77

## Ir

const unsigned int Ir = 77

## Platinum

const unsigned int Platinum = 78

## Pt

const unsigned int Pt = 78

## Gold

const unsigned int Gold = 79

## Au

const unsigned int Au = 79

## Mercury

const unsigned int Mercury = 80

## Hg

const unsigned int Hg = 80

## Thallium

const unsigned int Thallium = 81

## Tl

const unsigned int Tl = 81

## Lead

const unsigned int Lead = 82

## Pb

const unsigned int Pb = 82

## Bismuth

const unsigned int Bismuth = 83

## Bi

const unsigned int Bi = 83

## Polonium

const unsigned int Polonium = 84

## Po

const unsigned int Po = 84

## Astatine

const unsigned int Astatine = 85

## At

const unsigned int At = 85

## Radon

const unsigned int Radon = 86

## Rn

const unsigned int Rn = 86

## Francium

const unsigned int Francium = 87

## Fr

const unsigned int Fr = 87

## Radium

const unsigned int Radium = 88

## Ra

const unsigned int Ra = 88

## Actinium

const unsigned int Actinium = 89

## Ac

const unsigned int Ac = 89

## Thorium

const unsigned int Thorium = 90

## Th

const unsigned int Th = 90

## Protactinium

const unsigned int Protactinium = 91

## Pa

const unsigned int Pa = 91

## Uranium

const unsigned int Uranium = 92

## U

const unsigned int U = 92

## Neptunium

const unsigned int Neptunium = 93

## Np

const unsigned int Np = 93

## Plutonium

const unsigned int Plutonium = 94

## Pu

const unsigned int Pu = 94

## Americium

const unsigned int Americium = 95

## Am

const unsigned int Am = 95

## Curium

const unsigned int Curium = 96

## Cm

const unsigned int Cm = 96

## Berkelium

const unsigned int Berkelium = 97

## Bk

const unsigned int Bk = 97

## Californium

const unsigned int Californium = 98

## Cf

const unsigned int Cf = 98

## Einsteinium

const unsigned int Einsteinium = 99

## Es

const unsigned int Es = 99

## Fermium

const unsigned int Fermium = 100

## Fm

const unsigned int Fm = 100

## Mendelevium

const unsigned int Mendelevium = 101

## Md

const unsigned int Md = 101

## Nobelium

const unsigned int Nobelium = 102

## No

const unsigned int No = 102

## Lawrencium

const unsigned int Lawrencium = 103

## Lr

const unsigned int Lr = 103

## Rutherfordium

const unsigned int Rutherfordium = 104

## Rf

const unsigned int Rf = 104

## Dubnium

const unsigned int Dubnium = 105

## Db

const unsigned int Db = 105

## Seaborgium

const unsigned int Seaborgium = 106

## Sg

const unsigned int Sg = 106

## Bohrium

const unsigned int Bohrium = 107

## Bh

const unsigned int Bh = 107

## Hassium

const unsigned int Hassium = 108

## Hs

const unsigned int Hs = 108

## Meitnerium

const unsigned int Meitnerium = 109

## Mt

const unsigned int Mt = 109

## Darmstadtium

const unsigned int Darmstadtium = 110

## Ds

const unsigned int Ds = 110

## Roentgenium

const unsigned int Roentgenium = 111

## Rg

const unsigned int Rg = 111

## Copernicium

const unsigned int Copernicium = 112

## Cn

const unsigned int Cn = 112

## Nihonium

const unsigned int Nihonium = 113

## Nh

const unsigned int Nh = 113

## Flerovium

const unsigned int Flerovium = 114

## Fl

const unsigned int Fl = 114

## Moscovium

const unsigned int Moscovium = 115

## Mc

const unsigned int Mc = 115

## Livermorium

const unsigned int Livermorium = 116

## Lv

const unsigned int Lv = 116

## Tennessine

const unsigned int Tennessine = 117

## Ts

const unsigned int Ts = 117

## Oganesson

const unsigned int Oganesson = 118

## Og

const unsigned int Og = 118